package ThreadPoolTests;

import ThreadPool.ThreadPool;
import org.junit.Test;

import static org.junit.Assert.fail;

public class testThreadPool {
    @Test
    public void testThreadPool() {
        ThreadPool threadPool = new ThreadPool(3, 10);

        for (int i = 0; i < 10; i++) {
            int taskNo = i;
            try {
                threadPool.execute(() -> {
                    String message = Thread.currentThread().getName() + ": Task " + taskNo;
                    System.out.println(message);
                });
            } catch (Exception e) {
                fail("Exception should not be thrown");
            }
        }

        threadPool.waitUntilAllTasksFinished(5000);

        threadPool.stop();
    }
}
